Subject: Re: bug#21466: [PATCH] Avoid defining (temporarily) vars and functions

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 24 Jul 2021 12:26:30 +0200

Glenn Morris <[email-masked]> writes:

> Whilst that may happen to work as a kludge, it's against the intent of
> declare-function, so personally I would prefer that it either remained
> undocumented, or you do it properly and make FILE an optional argument
> (I haven't checked if check-declare would need changes for that).

I almost made it optional at the same time, but then changed my mind --
the nil case is abnormal and it probably almost always an error, so
having an explicit nil parameter seemed a more productive alternative.

But if others feel differently, go ahead and change it.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no